%define anolis_release 1

Name: unifdef
Version: 2.12
Release: %{anolis_release}%{dist}

License: BSD
URL: http://dotat.at/prog/unifdef/
Source0: http://dotat.at/prog/unifdef/unifdef-%{version}.tar.xz
Summary: Tool for removing ifdef lines
BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig

%description
Unifdef is useful for removing ifdefed lines from a file while otherwise
leaving the file alone. Unifdef acts on #ifdef, #ifndef, #else, and #endif
lines, and it knows only enough about C and C++ to know when one of these
is inactive because it is inside a comment, or a single or double quote.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_bindir}
install -p -m0755 unifdef $RPM_BUILD_ROOT%{_bindir}/unifdef
install -p -m0755 unifdefall.sh $RPM_BUILD_ROOT%{_bindir}/unifdefall.sh

install -d -m0755 $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m0644 unifdef.1 $RPM_BUILD_ROOT%{_mandir}/man1/unifdef.1

%generate_compatibility_deps

%files
%dir %{abidir}
%{_bindir}/unifdef
%{abidir}/unifdef-option.list
%{_bindir}/unifdefall.sh
%{_mandir}/man1/unifdef.1.*

%files doc
%doc README INSTALL Changelog

%changelog
* Thu Mar 23 2023 yuanhui <yuanhui@linux.alibaba.com> - 2.12-1
- Init package from upstream
